explain_shmctl_or_die(3)

NAME
explain_shmctl_or_die - shared memory control and report errors

SYNOPSIS
#include <libexplain/shmctl.h>

void explain_shmctl_or_die(int shmid, int command, struct shmid_ds *data);
int explain_shmctl_on_error(int shmid, int command, struct shmid_ds *data);

DESCRIPTION
The explain_shmctl_or_die function is used to call the shmctl(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_shmctl(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_shmctl_on_error function is used to call the shmctl(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_shmctl(3) function, but still returns to the caller.

shmid
    The shmid, exactly as to be passed to the shmctl(2) system call.

command
    The command, exactly as to be passed to the shmctl(2) system call.

data
    The data, exactly as to be passed to the shmctl(2) system call.

RETURN VALUE
The explain_shmctl_or_die function only returns on success, see shmctl(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_shmctl_on_error function always returns the value return by the wrapped shmctl(2) system call.

EXAMPLE
The explain_shmctl_or_die function is intended to be used in a fashion similar to the following example:
    explain_shmctl_or_die(shmid, command, data);

SEE ALSO

shmctl(2)
    shared memory control

explain_shmctl(3)
    explain shmctl(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2011 Peter Miller